Bug 733670 - AttributeError: 'NoneType' object has no attribute 'geometry'
Summary: AttributeError: 'NoneType' object has no attribute 'geometry'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: powerpc
OS: Unspecified
medium
high
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 12:50 UTC by Martin Banas
Modified: 2011-08-31 02:31 UTC (History)
3 users (show)

Fixed In Version: anaconda-16.16-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-31 02:31:25 UTC


Attachments (Terms of Use)
traceback from anaconda (184.57 KB, text/plain)
2011-08-26 12:50 UTC, Martin Banas
no flags Details

Description Martin Banas 2011-08-26 12:50:29 UTC
Created attachment 520084 [details]
traceback from anaconda

Description of problem:
Latest fedora for PPC build fails during partitioning step:
AttributeError: 'NoneType' object has no attribute 'geometry'

Version-Release number of selected component (if applicable):
http://ppc.koji.fedoraproject.org/scratch/karsten/iso/Fedora-20110825-ppc64-netinst.iso
anaconda 16.14.6

How reproducible:
always

Steps to Reproduce:
1. get kernel + initrd from iso above, copy to /boot
2. copy LiveOS folder to /boot
3. add following to /boot/etc/yaboot.conf:
image=/vmlinuz
        label=install
        initrd=/initrd.img
        append="root=live:LABEL=BOOT serial rdshell"

4. # e2label <your_boot_device> BOOT
5. reboot
6. proceed to partitioning step
7. select use entire drive.
  
Actual results:
Traceback:
AttributeError: 'NoneType' object has no attribute 'geometry'

Expected results:
No traceback, be able to continue in installation

Additional info:

Comment 1 David Lehman 2011-08-26 13:35:45 UTC
I have a patch for this. I'll post it for review today.

Comment 2 Fedora Update System 2011-08-30 19:51:46 UTC
anaconda-16.16-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.16-1.fc16

Comment 3 Fedora Update System 2011-08-31 02:30:50 UTC
anaconda-16.16-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.